summaryrefslogtreecommitdiff
path: root/malloc/tst-mtrace.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-07-07 03:02:14 +0000
committerUlrich Drepper <drepper@redhat.com>2000-07-07 03:02:14 +0000
commit199d6eb060b474ad81bf24dd9ae53d99d5646b9d (patch)
tree2f6fb220498b79e41107f0f804fa3c35301ba1e6 /malloc/tst-mtrace.sh
parent3eea1bc969e4d5ba309e5fbd40e56196a002c54e (diff)
Update.
* malloc/Makefile (test-srcs): Add tst-mtrace. (distribute): Add tst-mtrace.sh. Add rule to run tst-mtrace.sh. * malloc/tst-mtrace.c: New file. * malloc/tst-mtrace.sh: New file.
Diffstat (limited to 'malloc/tst-mtrace.sh')
-rwxr-xr-xmalloc/tst-mtrace.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/malloc/tst-mtrace.sh b/malloc/tst-mtrace.sh
new file mode 100755
index 0000000000..a5b61ec057
--- /dev/null
+++ b/malloc/tst-mtrace.sh
@@ -0,0 +1,30 @@
+#! /bin/sh
+# Testing the mtrace function.
+# Copyright (C) 2000 Free Software Foundation, Inc.
+# This file is part of the GNU C Library.
+#
+# The GNU C Library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Library General Public License as
+# published by the Free Software Foundation; either version 2 of the
+# License, or (at your option) any later version.
+#
+# The GNU C Library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Library General Public License for more details.
+#
+# You should have received a copy of the GNU Library General Public
+# License along with the GNU C Library; see the file COPYING.LIB. If
+# not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+
+common_objpfx=$1; shift
+
+status=0
+
+MALLOC_TRACE=${common_objpfx}tst-mtrace.out \
+LOCPATH=${common_objpfx}localedata GCONV_PATH=${common_objpfx}iconvdata \
+${common_objpfx}elf/ld.so --library-path $common_objpfx \
+ ${common_objpfx}malloc/tst-mtrace || status=1
+
+exit $status